name: tomopy
channels:
  - conda-forge
dependencies:
  - c-compiler
  - cmake
  - cuda-nvcc_linux-64<12.4
  - cxx-compiler
  - dxchange
  - git
  - h5py
  - libgomp
  - libnpp-dev
  - ninja
  - numexpr
  - numpy<1.22.4|>=1.23.0
  - python
  - pywavelets
  - scikit-image>=0.17
  - scipy
  - setuptools_scm
  - setuptools_scm_git_archive
# Optional packages
  # - pyctest>0.0.10
  # - timemory=*=py37h* # the nompi build
  - mkl
  - mkl-devel
  - mkl_fft
  - pytest
  - pytest-cov
